> For the complete documentation index, see [llms.txt](https://docs.notional.finance/governance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.notional.finance/governance/ntokens/introduction.md).

# Introduction

## nTokens

nTokens enable users to passively earn returns from providing liquidity to Notional across all active maturities without requiring them to interact with the individual liquidity pools in any way. nTokens are ERC20 assets that are redeemable for a share of Notional’s total liquidity in a given currency across all active maturities. Each asset that Notional supports for borrowing and lending will have its own nToken ex. nDAI, nUSDC, nETH. Find more detail about nTokens attributes [here](https://docs.notional.finance/notional-v2/notional-v2-basics/ntokens).

### Purpose of nToken governance parameters

nToken governance parameters influence how an nToken account distributes an LP's liquidity to individual liquidity pools and how it composes with fCash residuals upon a quarterly roll according to the following parameters:

* Deposit shares;
* Leverage thresholds;
* Residuals purchase incentives;
* Cash witholding buffer
* Residuals time buffer.

The purpose of these governance parameters is to:

* Optimize how liquidity is distributed amongst liquidity pools;&#x20;
* Optimize returns for nToken holders;
* Handle fCash residuals.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.notional.finance/governance/ntokens/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
